Synthetic USD
Get best price
GET
/synthetic-usd/best-pricePublicGet the best ask and bid of the BTC/USD order book: the prices a swap fills at right now.
OK
application/json- response
askPrice*numberBest ask of the BTC/USD order book (in USD): USD to BTC swaps fill at it
bidPrice*numberBest bid of the BTC/USD order book (in USD): BTC to USD swaps fill at it
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient()
const result = await client.syntheticUsd.getBestPrice(){
"askPrice": 100000,
"bidPrice": 100000
}